#!/bin/bash

killall modbusgateway

SCOPE_ID=$(awk '/scope-id/ {print $2}' pnp.conf)
#echo $SCOPE_ID
DEV_NAME=$(awk '/device-name/ {print $2}' pnp.conf)
#echo $DEV_NAME
NTP_SERV=$(awk '/ntp-server/ {print $2}' pnp.conf)
#echo $NTP_SERV

ntpdate $NTP_SERV

mkdir -p /opt/ca/
echo $DEV_NAME > /opt/ca/CN
rm -f /opt/ca/leaf-ca.pem
rm -f /opt/ca/leaf-key.pem
cp Certificate/device-ca.pem /opt/ca/leaf-ca.pem
cp Certificate/device-key.pem /opt/ca/leaf-key.pem
sync

# Start PnP Client
cd Runtimes/bin/ 
export LD_LIBRARY_PATH=../lib 
export SSL_CERT_FILE=../ssl/ca-certificates.crt
./modbusgateway -i $SCOPE_ID > /dev/null 2>&1 &
